<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<?fileVersion 4.0.0?><cproject storage_type_id="org.eclipse.cdt.core.XmlProjectDescriptionStorage">
    	
    <storageModule moduleId="org.eclipse.cdt.core.settings">
        		
        <cconfiguration id="xilinx.gnu.armv7.exe.debug.1265396487">
            			
            <storageModule buildSystemId="org.eclipse.cdt.managedbuilder.core.configurationDataProvider" id="xilinx.gnu.armv7.exe.debug.1265396487" moduleId="org.eclipse.cdt.core.settings" name="Debug">
                				
                <externalSettings/>
                				
                <extensions>
                    					
                    <extension id="com.xilinx.sdk.managedbuilder.XELF.arm.a53.x32" point="org.eclipse.cdt.core.BinaryParser"/>
                    					
                    <extension id="org.eclipse.cdt.core.GASErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
                    					
                    <extension id="org.eclipse.cdt.core.GmakeErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
                    					
                    <extension id="org.eclipse.cdt.core.GLDErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
                    					
                    <extension id="org.eclipse.cdt.core.CWDLocator" point="org.eclipse.cdt.core.ErrorParser"/>
                    					
                    <extension id="org.eclipse.cdt.core.GCCErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
                    				
                </extensions>
                			
            </storageModule>
            			
            <storageModule moduleId="cdtBuildSystem" version="4.0.0">
                				
                <configuration artifactExtension="elf" artifactName="${ProjName}" buildArtefactType="org.eclipse.cdt.build.core.buildArtefactType.exe" buildProperties="org.eclipse.cdt.build.core.buildArtefactType=org.eclipse.cdt.build.core.buildArtefactType.exe,org.eclipse.cdt.build.core.buildType=org.eclipse.cdt.build.core.buildType.debug" cleanCommand="rm -rf" description="" id="xilinx.gnu.armv7.exe.debug.1265396487" name="Debug" parent="xilinx.gnu.armv7.exe.debug" prebuildStep="a9-linaro-pre-build-step">
                    					
                    <folderInfo id="xilinx.gnu.armv7.exe.debug.1265396487." name="/" resourcePath="">
                        						
                        <toolChain id="xilinx.gnu.armv7.exe.debug.toolchain.541413777" name="Xilinx ARM v7 GNU Toolchain" superClass="xilinx.gnu.armv7.exe.debug.toolchain">
                            							
                            <targetPlatform binaryParser="com.xilinx.sdk.managedbuilder.XELF.arm.a53.x32" id="xilinx.armv7.target.gnu.base.debug.1678587838" isAbstract="false" name="Debug Platform" superClass="xilinx.armv7.target.gnu.base.debug"/>
                            							
                            <builder buildPath="${workspace_loc:/hello}/Debug" enableAutoBuild="true" id="xilinx.gnu.armv7.toolchain.builder.debug.693546281" managedBuildOn="true" name="GNU make.Debug" superClass="xilinx.gnu.armv7.toolchain.builder.debug"/>
                            							
                            <tool id="xilinx.gnu.armv7.c.toolchain.assembler.debug.418109468" name="ARM v7 gcc assembler" superClass="xilinx.gnu.armv7.c.toolchain.assembler.debug">
                                								
                                <inputType id="xilinx.gnu.assembler.input.1036715550" superClass="xilinx.gnu.assembler.input"/>
                                							
                            </tool>
                            							
                            <tool id="xilinx.gnu.armv7.c.toolchain.compiler.debug.936773506" name="ARM v7 gcc compiler" superClass="xilinx.gnu.armv7.c.toolchain.compiler.debug">
                                								
                                <option defaultValue="gnu.c.optimization.level.none" id="xilinx.gnu.compiler.option.optimization.level.858273897" superClass="xilinx.gnu.compiler.option.optimization.level" valueType="enumerated"/>
                                								
                                <option id="xilinx.gnu.compiler.option.debugging.level.1205736884" superClass="xilinx.gnu.compiler.option.debugging.level" useByScannerDiscovery="false" value="gnu.c.debugging.level.max" valueType="enumerated"/>
                                								
                                <option id="xilinx.gnu.compiler.inferred.swplatform.includes.700263655" superClass="xilinx.gnu.compiler.inferred.swplatform.includes" valueType="includePath">
                                    									
                                    <listOptionValue builtIn="false" value="${resolvePlatformFile:project=hello,fileType=bspInclude}"/>
                                    								
                                </option>
                                								
                                <option id="xilinx.gnu.compiler.misc.other.1727385495" superClass="xilinx.gnu.compiler.misc.other" value="-c -fmessage-length=0 -MT&quot;$@&quot; -mcpu=cortex-a9 -mfpu=vfpv3 -mfloat-abi=hard" valueType="string"/>
                                								
                                <inputType id="xilinx.gnu.armv7.c.compiler.input.1862541015" name="C source files" superClass="xilinx.gnu.armv7.c.compiler.input"/>
                                							
                            </tool>
                            							
                            <tool id="xilinx.gnu.armv7.cxx.toolchain.compiler.debug.128561928" name="ARM v7 g++ compiler" superClass="xilinx.gnu.armv7.cxx.toolchain.compiler.debug">
                                								
                                <option defaultValue="gnu.c.optimization.level.none" id="xilinx.gnu.compiler.option.optimization.level.1518979802" superClass="xilinx.gnu.compiler.option.optimization.level" valueType="enumerated"/>
                                								
                                <option id="xilinx.gnu.compiler.option.debugging.level.1356191056" superClass="xilinx.gnu.compiler.option.debugging.level" useByScannerDiscovery="false" value="gnu.c.debugging.level.max" valueType="enumerated"/>
                                								
                                <option id="xilinx.gnu.compiler.inferred.swplatform.includes.1224018753" superClass="xilinx.gnu.compiler.inferred.swplatform.includes" valueType="includePath">
                                    									
                                    <listOptionValue builtIn="false" value="${resolvePlatformFile:project=hello,fileType=bspInclude}"/>
                                    								
                                </option>
                                							
                            </tool>
                            							
                            <tool id="xilinx.gnu.armv7.toolchain.archiver.827714268" name="ARM v7 archiver" superClass="xilinx.gnu.armv7.toolchain.archiver"/>
                            							
                            <tool id="xilinx.gnu.armv7.c.toolchain.linker.debug.551364509" name="ARM v7 gcc linker" superClass="xilinx.gnu.armv7.c.toolchain.linker.debug">
                                								
                                <option id="xilinx.gnu.linker.inferred.swplatform.lpath.1916545729" superClass="xilinx.gnu.linker.inferred.swplatform.lpath" valueType="libPaths">
                                    									
                                    <listOptionValue builtIn="false" value="${resolvePlatformFile:project=hello,fileType=bspLib}"/>
                                    								
                                </option>
                                								
                                <option id="xilinx.gnu.linker.inferred.swplatform.flags.1081325940" superClass="xilinx.gnu.linker.inferred.swplatform.flags" valueType="libs">
                                    									
                                    <listOptionValue builtIn="false" value="-Wl,--start-group,-lxil,-lfreertos,-lgcc,-lc,--end-group"/>
                                    								
                                </option>
                                								
                                <option id="xilinx.gnu.c.linker.option.lscript.470998824" superClass="xilinx.gnu.c.linker.option.lscript" value="../src/lscript.ld" valueType="string"/>
                                								
                                <option id="xilinx.gnu.c.link.option.ldflags.1325148552" superClass="xilinx.gnu.c.link.option.ldflags" value=" -mcpu=cortex-a9 -mfpu=vfpv3 -mfloat-abi=hard -Wl,-build-id=none -specs=Xilinx.spec" valueType="string"/>
                                								
                                <inputType id="xilinx.gnu.linker.input.1582342436" superClass="xilinx.gnu.linker.input">
                                    									
                                    <additionalInput kind="additionalinputdependency" paths="$(USER_OBJS)"/>
                                    									
                                    <additionalInput kind="additionalinput" paths="$(LIBS)"/>
                                    								
                                </inputType>
                                								
                                <inputType id="xilinx.gnu.linker.input.lscript.459537797" name="Linker Script" superClass="xilinx.gnu.linker.input.lscript"/>
                                							
                            </tool>
                            							
                            <tool id="xilinx.gnu.armv7.cxx.toolchain.linker.debug.1272697132" name="ARM v7 g++ linker" superClass="xilinx.gnu.armv7.cxx.toolchain.linker.debug">
                                								
                                <option id="xilinx.gnu.linker.inferred.swplatform.lpath.1150312414" superClass="xilinx.gnu.linker.inferred.swplatform.lpath" valueType="libPaths">
                                    									
                                    <listOptionValue builtIn="false" value="${resolvePlatformFile:project=hello,fileType=bspLib}"/>
                                    								
                                </option>
                                								
                                <option id="xilinx.gnu.linker.inferred.swplatform.flags.869064228" superClass="xilinx.gnu.linker.inferred.swplatform.flags" valueType="libs">
                                    									
                                    <listOptionValue builtIn="false" value="-Wl,--start-group,-lxil,-lfreertos,-lgcc,-lc,--end-group"/>
                                    								
                                </option>
                                								
                                <option id="xilinx.gnu.c.linker.option.lscript.1820327380" superClass="xilinx.gnu.c.linker.option.lscript" value="../src/lscript.ld" valueType="string"/>
                                							
                            </tool>
                            							
                            <tool id="xilinx.gnu.armv7.size.debug.1798084114" name="ARM v7 Print Size" superClass="xilinx.gnu.armv7.size.debug"/>
                            						
                        </toolChain>
                        					
                    </folderInfo>
                    					
                    <sourceEntries>
                        						
                        <entry excluding="_ide" flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name=""/>
                        					
                    </sourceEntries>
                    				
                </configuration>
                			
            </storageModule>
            			
            <storageModule moduleId="org.eclipse.cdt.core.externalSettings"/>
            		
        </cconfiguration>
        		
        <cconfiguration id="xilinx.gnu.armv7.exe.release.85910729">
            			
            <storageModule buildSystemId="org.eclipse.cdt.managedbuilder.core.configurationDataProvider" id="xilinx.gnu.armv7.exe.release.85910729" moduleId="org.eclipse.cdt.core.settings" name="Release">
                				
                <externalSettings/>
                				
                <extensions>
                    					
                    <extension id="com.xilinx.sdk.managedbuilder.XELF.arm.a53.x32" point="org.eclipse.cdt.core.BinaryParser"/>
                    					
                    <extension id="org.eclipse.cdt.core.GASErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
                    					
                    <extension id="org.eclipse.cdt.core.GmakeErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
                    					
                    <extension id="org.eclipse.cdt.core.GLDErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
                    					
                    <extension id="org.eclipse.cdt.core.CWDLocator" point="org.eclipse.cdt.core.ErrorParser"/>
                    					
                    <extension id="org.eclipse.cdt.core.GCCErrorParser" point="org.eclipse.cdt.core.ErrorParser"/>
                    				
                </extensions>
                			
            </storageModule>
            			
            <storageModule moduleId="cdtBuildSystem" version="4.0.0">
                				
                <configuration artifactExtension="elf" artifactName="${ProjName}" buildArtefactType="org.eclipse.cdt.build.core.buildArtefactType.exe" buildProperties="org.eclipse.cdt.build.core.buildArtefactType=org.eclipse.cdt.build.core.buildArtefactType.exe,org.eclipse.cdt.build.core.buildType=org.eclipse.cdt.build.core.buildType.release" cleanCommand="rm -rf" description="" id="xilinx.gnu.armv7.exe.release.85910729" name="Release" parent="xilinx.gnu.armv7.exe.release" prebuildStep="a9-linaro-pre-build-step">
                    					
                    <folderInfo id="xilinx.gnu.armv7.exe.release.85910729." name="/" resourcePath="">
                        						
                        <toolChain id="xilinx.gnu.armv7.exe.release.toolchain.1823501927" name="Xilinx ARM v7 GNU Toolchain" superClass="xilinx.gnu.armv7.exe.release.toolchain">
                            							
                            <targetPlatform binaryParser="com.xilinx.sdk.managedbuilder.XELF.arm.a53.x32" id="xilinx.armv7.target.gnu.base.release.1377841635" isAbstract="false" name="Release Platform" superClass="xilinx.armv7.target.gnu.base.release"/>
                            							
                            <builder buildPath="${workspace_loc:/hello}/Release" enableAutoBuild="true" id="xilinx.gnu.armv7.toolchain.builder.release.462377983" managedBuildOn="true" name="GNU make.Release" superClass="xilinx.gnu.armv7.toolchain.builder.release"/>
                            							
                            <tool id="xilinx.gnu.armv7.c.toolchain.assembler.release.64939090" name="ARM v7 gcc assembler" superClass="xilinx.gnu.armv7.c.toolchain.assembler.release">
                                								
                                <inputType id="xilinx.gnu.assembler.input.281910204" superClass="xilinx.gnu.assembler.input"/>
                                							
                            </tool>
                            							
                            <tool id="xilinx.gnu.armv7.c.toolchain.compiler.release.409129090" name="ARM v7 gcc compiler" superClass="xilinx.gnu.armv7.c.toolchain.compiler.release">
                                								
                                <option defaultValue="gnu.c.optimization.level.more" id="xilinx.gnu.compiler.option.optimization.level.327135882" superClass="xilinx.gnu.compiler.option.optimization.level" valueType="enumerated"/>
                                								
                                <option id="xilinx.gnu.compiler.option.debugging.level.1813193963" superClass="xilinx.gnu.compiler.option.debugging.level" useByScannerDiscovery="false" value="gnu.c.debugging.level.none" valueType="enumerated"/>
                                								
                                <option id="xilinx.gnu.compiler.inferred.swplatform.includes.1096493169" superClass="xilinx.gnu.compiler.inferred.swplatform.includes" valueType="includePath">
                                    									
                                    <listOptionValue builtIn="false" value="${resolvePlatformFile:project=hello,fileType=bspInclude}"/>
                                    								
                                </option>
                                								
                                <option id="xilinx.gnu.compiler.misc.other.1682049752" superClass="xilinx.gnu.compiler.misc.other" value="-c -fmessage-length=0 -MT&quot;$@&quot; -mcpu=cortex-a9 -mfpu=vfpv3 -mfloat-abi=hard" valueType="string"/>
                                								
                                <inputType id="xilinx.gnu.armv7.c.compiler.input.391185241" name="C source files" superClass="xilinx.gnu.armv7.c.compiler.input"/>
                                							
                            </tool>
                            							
                            <tool id="xilinx.gnu.armv7.cxx.toolchain.compiler.release.1135975632" name="ARM v7 g++ compiler" superClass="xilinx.gnu.armv7.cxx.toolchain.compiler.release">
                                								
                                <option defaultValue="gnu.c.optimization.level.more" id="xilinx.gnu.compiler.option.optimization.level.79660714" superClass="xilinx.gnu.compiler.option.optimization.level" valueType="enumerated"/>
                                								
                                <option id="xilinx.gnu.compiler.option.debugging.level.962889979" superClass="xilinx.gnu.compiler.option.debugging.level" useByScannerDiscovery="false" value="gnu.c.debugging.level.none" valueType="enumerated"/>
                                								
                                <option id="xilinx.gnu.compiler.inferred.swplatform.includes.917150681" superClass="xilinx.gnu.compiler.inferred.swplatform.includes" valueType="includePath">
                                    									
                                    <listOptionValue builtIn="false" value="${resolvePlatformFile:project=hello,fileType=bspInclude}"/>
                                    								
                                </option>
                                							
                            </tool>
                            							
                            <tool id="xilinx.gnu.armv7.toolchain.archiver.383936873" name="ARM v7 archiver" superClass="xilinx.gnu.armv7.toolchain.archiver"/>
                            							
                            <tool id="xilinx.gnu.armv7.c.toolchain.linker.release.2050412168" name="ARM v7 gcc linker" superClass="xilinx.gnu.armv7.c.toolchain.linker.release">
                                								
                                <option id="xilinx.gnu.linker.inferred.swplatform.lpath.1058026909" superClass="xilinx.gnu.linker.inferred.swplatform.lpath" valueType="libPaths">
                                    									
                                    <listOptionValue builtIn="false" value="${resolvePlatformFile:project=hello,fileType=bspLib}"/>
                                    								
                                </option>
                                								
                                <option id="xilinx.gnu.linker.inferred.swplatform.flags.806206078" superClass="xilinx.gnu.linker.inferred.swplatform.flags" valueType="libs">
                                    									
                                    <listOptionValue builtIn="false" value="-Wl,--start-group,-lxil,-lfreertos,-lgcc,-lc,--end-group"/>
                                    								
                                </option>
                                								
                                <option id="xilinx.gnu.c.linker.option.lscript.221571828" superClass="xilinx.gnu.c.linker.option.lscript" value="../src/lscript.ld" valueType="string"/>
                                								
                                <option id="xilinx.gnu.c.link.option.ldflags.1837963843" superClass="xilinx.gnu.c.link.option.ldflags" value=" -mcpu=cortex-a9 -mfpu=vfpv3 -mfloat-abi=hard -Wl,-build-id=none -specs=Xilinx.spec" valueType="string"/>
                                								
                                <inputType id="xilinx.gnu.linker.input.1217977070" superClass="xilinx.gnu.linker.input">
                                    									
                                    <additionalInput kind="additionalinputdependency" paths="$(USER_OBJS)"/>
                                    									
                                    <additionalInput kind="additionalinput" paths="$(LIBS)"/>
                                    								
                                </inputType>
                                								
                                <inputType id="xilinx.gnu.linker.input.lscript.1288074479" name="Linker Script" superClass="xilinx.gnu.linker.input.lscript"/>
                                							
                            </tool>
                            							
                            <tool id="xilinx.gnu.armv7.cxx.toolchain.linker.release.859144952" name="ARM v7 g++ linker" superClass="xilinx.gnu.armv7.cxx.toolchain.linker.release">
                                								
                                <option id="xilinx.gnu.linker.inferred.swplatform.lpath.1506766790" superClass="xilinx.gnu.linker.inferred.swplatform.lpath" valueType="libPaths">
                                    									
                                    <listOptionValue builtIn="false" value="${resolvePlatformFile:project=hello,fileType=bspLib}"/>
                                    								
                                </option>
                                								
                                <option id="xilinx.gnu.linker.inferred.swplatform.flags.932657002" superClass="xilinx.gnu.linker.inferred.swplatform.flags" valueType="libs">
                                    									
                                    <listOptionValue builtIn="false" value="-Wl,--start-group,-lxil,-lfreertos,-lgcc,-lc,--end-group"/>
                                    								
                                </option>
                                								
                                <option id="xilinx.gnu.c.linker.option.lscript.1623807272" superClass="xilinx.gnu.c.linker.option.lscript" value="../src/lscript.ld" valueType="string"/>
                                							
                            </tool>
                            							
                            <tool id="xilinx.gnu.armv7.size.release.1573097255" name="ARM v7 Print Size" superClass="xilinx.gnu.armv7.size.release"/>
                            						
                        </toolChain>
                        					
                    </folderInfo>
                    					
                    <sourceEntries>
                        						
                        <entry excluding="_ide" flags="VALUE_WORKSPACE_PATH|RESOLVED" kind="sourcePath" name=""/>
                        					
                    </sourceEntries>
                    				
                </configuration>
                			
            </storageModule>
            			
            <storageModule moduleId="org.eclipse.cdt.core.externalSettings"/>
            		
        </cconfiguration>
        	
    </storageModule>
    	
    <storageModule moduleId="org.eclipse.cdt.core.LanguageSettingsProviders"/>
    	
    <storageModule moduleId="cdtBuildSystem" version="4.0.0">
        		
        <project id="hello.xilinx.gnu.armv7.exe.1739899364" name="Xilinx ARM v7 Executable" projectType="xilinx.gnu.armv7.exe"/>
        	
    </storageModule>
    	
    <storageModule moduleId="scannerConfiguration">
        		
        <autodiscovery enabled="true" problemReportingEnabled="true" selectedProfileId=""/>
        		
        <scannerConfigBuildInfo instanceId="xilinx.gnu.armv7.exe.debug.1265396487;xilinx.gnu.armv7.exe.debug.1265396487.;xilinx.gnu.armv7.c.toolchain.compiler.debug.936773506;xilinx.gnu.armv7.c.compiler.input.1862541015">
            			
            <autodiscovery enabled="true" problemReportingEnabled="true" selectedProfileId="com.xilinx.managedbuilder.ui.ARMA53X32GCCManagedMakePerProjectProfileC"/>
            		
        </scannerConfigBuildInfo>
        		
        <scannerConfigBuildInfo instanceId="xilinx.gnu.armv7.exe.release.85910729;xilinx.gnu.armv7.exe.release.85910729.;xilinx.gnu.armv7.c.toolchain.compiler.release.409129090;xilinx.gnu.armv7.c.compiler.input.391185241">
            			
            <autodiscovery enabled="true" problemReportingEnabled="true" selectedProfileId="com.xilinx.managedbuilder.ui.ARMA53X32GCCManagedMakePerProjectProfileC"/>
            		
        </scannerConfigBuildInfo>
        		
        <scannerConfigBuildInfo instanceId="xilinx.gnu.armv7.exe.release.85910729;xilinx.gnu.armv7.exe.release.85910729.">
            			
            <autodiscovery enabled="true" problemReportingEnabled="true" selectedProfileId="com.xilinx.managedbuilder.ui.ARMA53X32GCCManagedMakePerProjectProfileC"/>
            		
        </scannerConfigBuildInfo>
        		
        <scannerConfigBuildInfo instanceId="xilinx.gnu.armv7.exe.debug.1265396487;xilinx.gnu.armv7.exe.debug.1265396487.">
            			
            <autodiscovery enabled="true" problemReportingEnabled="true" selectedProfileId="com.xilinx.managedbuilder.ui.ARMA53X32GCCManagedMakePerProjectProfileC"/>
            		
        </scannerConfigBuildInfo>
        	
    </storageModule>
    	
    <storageModule moduleId="refreshScope"/>
    
</cproject>
